Name:          stopmpd
Version:       1.1.0
Release:       1
Summary:       simple (89 SLOC) rust program to pause mpd after the current song completes
License:       OQL v1.1
URL:           https://git.gay/micro/stopmpd
BuildRequires: git cargo

%description
simple (89 SLOC) rust program to pause mpd after the current song completes

%prep
git clone https://git.gay/micro/stopmpd.git
cd stopmpd
cargo vendor
mkdir .cargo
cat > .cargo/config.toml << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
cd stopmpd
cargo build --release

%install
mkdir -p %{buildroot}/usr/bin/
install -m 755 stopmpd/target/release/stopmpd %{buildroot}/usr/bin/stopmpd

%files
/usr/bin/stopmpd

%changelog
* Sun Sep 01 2024 Niko Red <micro@noreply.localhost> - 1.1.0
- initial release
